From dcdf9498a4436a14c713fa6be6bc5aa273d62aa8 Mon Sep 17 00:00:00 2001
From: Hayato Kuroda <kuroda.hayato@fujitsu.com>
Date: Thu, 22 Feb 2024 11:01:46 +0000
Subject: [PATCH v24 16/18] Address comments From Vignesh #2

---
 doc/src/sgml/ref/pg_createsubscriber.sgml | 29 +++++++++++++++--------
 1 file changed, 19 insertions(+), 10 deletions(-)

diff --git a/doc/src/sgml/ref/pg_createsubscriber.sgml b/doc/src/sgml/ref/pg_createsubscriber.sgml
index 4579495089..92e77af6df 100644
--- a/doc/src/sgml/ref/pg_createsubscriber.sgml
+++ b/doc/src/sgml/ref/pg_createsubscriber.sgml
@@ -43,7 +43,7 @@ PostgreSQL documentation
   </cmdsynopsis>
  </refsynopsisdiv>
 
- <refsect1 id="r1-app-pg_createsubscriber-1">
+ <refsect1>
   <title>Description</title>
   <para>
    The <application>pg_createsubscriber</application> creates a new <link
@@ -63,7 +63,7 @@ PostgreSQL documentation
    these are not met an error will be reported.
   </para>
 
-  <itemizedlist>
+  <itemizedlist id="app-pg-createsubscriber-description-prerequisites">
    <listitem>
     <para>
      The given target data directory must have the same system identifier than the
@@ -106,15 +106,15 @@ PostgreSQL documentation
    </listitem>
    <listitem>
     <para>
-     The target instance must have
+     The source instance must have
      <link linkend="guc-max-replication-slots"><varname>max_replication_slots</varname></link>
-     configured to a value greater than or equal to the number of target
-     databases and replication slots.
+     configured to a value greater than the number of target databases and
+     replication slots.
     </para>
    </listitem>
    <listitem>
     <para>
-     The target instance must have
+     The source instance must have
      <link linkend="guc-max-wal-senders"><varname>max_wal_senders</varname></link>
      configured to a value greater than or equal to the number of target
      databases and walsenders.
@@ -149,6 +149,15 @@ PostgreSQL documentation
     replication</link> is recommended.
    </para>
   </note>
+
+  <caution>
+   <para>
+    If <application>pg_createsubscriber</application> fails after the
+    promotion of physical standby, you must re-create the new physical standby
+    before continuing.
+   </para>
+  </caution>
+
  </refsect1>
 
  <refsect1>
@@ -314,8 +323,8 @@ PostgreSQL documentation
    <step>
     <para>
      Checks the target can be converted.  In particular, things listed in
-     <link linkend="r1-app-pg_createsubscriber-1">above section</link> would be
-     checked.  If these are not met <application>pg_createsubscriber</application>
+     <link linkend="app-pg-createsubscriber-description-prerequisites">prerequisites</link>
+     would be checked.  If these are not met <application>pg_createsubscriber</application>
      will terminate with an error.
     </para>
    </step>
@@ -406,9 +415,9 @@ PostgreSQL documentation
 
   <para>
    Here is an example of using <application>pg_createsubscriber</application>.
-   Before running the command, please make sure target server is stopped.
+   Before running the command, please make sure target server is running.
 <screen>
-<prompt>$</prompt> <userinput>pg_ctl -D /usr/local/pgsql/data stop</userinput>
+<prompt>$</prompt> <userinput>pg_ctl -D /usr/local/pgsql/data start</userinput>
 </screen>
 
    Then run <application>pg_createsubscriber</application>. Below tries to
-- 
2.43.0

